decom fluorine
Open, NormalPublic

Description

after confirming with @fgiunchedi , decom fluorine fully by going through these steps (from template)

fluorine is a Dell R310 purchasing during the initial buildout of eqiad. It is well out of warranty, and will be fully decommissioned. This will not be reclaimed into spares.


  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - remove system from puppet/hiera/dsh/dhcp/installserver config
  • - remove site.pp (replace with role::spare if system isn't shut down immediately during this process.)

START NON-INTERRUPPTABLE STEPS

  • - disable puppet on host
  • - remove all remaining puppet references (include role::spare)
  • - power down host
  • - puppet node clean, puppet node deactivate, salt key removed
  • - check server is gone from Icinga and Servermon
  • - remove production dns entries
  • - disable switch port
  • - switch port assignment noted on this task (for later removal) (asw-a-eqiad:ge-4/0/7)

END NON-INTERRUPPTABLE STEPS

  • - WAIT, DO NOT WIPE YET (will be confirmed separately)
  • - system disks wiped (by onsite)
  • - system unracked and decommissioned (by onsite), update racktables with result
  • - switch port configration removed from switch once system is unracked..
Dzahn created this task.Mar 8 2017, 10:56 PM
Dzahn updated the task description. (Show Details)
RobH updated the task description. (Show Details)Mar 8 2017, 11:12 PM

Change 341939 had a related patch set uploaded (by Dzahn):
[operations/puppet] remove fluorine from DHCP config

https://gerrit.wikimedia.org/r/341939

Change 341940 had a related patch set uploaded (by Dzahn):
[operations/puppet] mediawiki::logging: remove fluorine from firewall rules

https://gerrit.wikimedia.org/r/341940

Change 341941 had a related patch set uploaded (by Dzahn):
[operations/dns] remove fluorine prod IP, keep mgmt

https://gerrit.wikimedia.org/r/341941

Dzahn claimed this task.Mar 9 2017, 7:20 PM

Change 341940 merged by Dzahn:
[operations/puppet] mediawiki::logging: remove fluorine from firewall rules

https://gerrit.wikimedia.org/r/341940

Dzahn updated the task description. (Show Details)Mar 9 2017, 7:29 PM
Dzahn updated the task description. (Show Details)Mar 9 2017, 7:35 PM

Change 341939 merged by Dzahn:
[operations/puppet] remove fluorine from DHCP config

https://gerrit.wikimedia.org/r/341939

Dzahn updated the task description. (Show Details)Mar 9 2017, 9:23 PM

Mentioned in SAL (#wikimedia-operations) [2017-03-09T21:35:51Z] <mutante> fluorine - shutdown -h now (decom) T159996

Mentioned in SAL (#wikimedia-operations) [2017-03-09T21:37:45Z] <mutante> fluorine - puppet node clean, puppet node deactivate, salt-key -d, remove from Icinga.. (T159996)

Dzahn updated the task description. (Show Details)Mar 9 2017, 9:39 PM
Dzahn updated the task description. (Show Details)Mar 9 2017, 9:43 PM

Change 341941 merged by Dzahn:
[operations/dns] remove fluorine prod IP, keep mgmt

https://gerrit.wikimedia.org/r/341941

Dzahn updated the task description. (Show Details)Mar 9 2017, 9:54 PM
Dzahn added a comment.EditedMar 9 2017, 9:56 PM

@RobH per IRC talk, all steps above done (and added some) up to disabling switch ports. please do that as i just shut the server down a couple minutes ago.

please do NOT WIPE just yet, i added an extra step to confirm that. we want to keep the disk content for a grace period as agreed on with @fgiunchedi

you can also freel free to give it back to me and i give it to dc-ops once it can be wiped.

thank you

Dzahn reassigned this task from Dzahn to RobH.Mar 9 2017, 9:57 PM
RobH updated the task description. (Show Details)Mar 9 2017, 11:08 PM
RobH reassigned this task from RobH to Dzahn.

The switch port is disabled. Once you have confirmed this wipe can occur, please comment and assign this to @Cmjohnson.

Dzahn reassigned this task from Dzahn to Cmjohnson.Mar 16 2017, 4:46 PM

This can now be wiped and go ahead with the process.

Cmjohnson moved this task from Backlog to Not urgent on the ops-eqiad board.May 15 2017, 5:25 PM